Subject: Re: [PATCH 2/4] C/R: Basic support for network namespaces and devices (v3)

From: Dan Smith <[email-masked]>
Date: Wed, 10 Feb 2010 12:31:02 -0800

SH> I think that's be better.  Right now if we checkpoint a container
SH> with macvlan restart will be bogus, right?  We're trying to avoid
SH> any cases where we can't tell, at checkpoint, that restart won't
SH> be right.

Depends on your definition of bogus, and the situation, but okay.

SH> What I was asking is should do_veth_message() be in drivers/net/veth.c?

Well, we could add another ndo_* function to the net device, I guess,
but I'd be afraid we'd hit some cases where that wasn't sufficient.
Maybe it would be best to generalize that bit after I've added macvlan
(,etc) support so we have a good idea of what else would be needed?

-- 
Dan Smith
IBM Linux Technology Center
email: [email-masked]